Description

History

#1 - 30 May 2011 09:50 - Jean-Sébastien Bour

Ouch, <enter> key pressed a little bit too early 

Rationale : we have dozens of repositories and try to maintain them in clients subdirectories ; could you relax the regexp which validates the path to

allow subdirectories ? Or even don’t require to submit the full <path>/<repo>, only ask for <repo> (with subdirectories ) and automatically add <path>

?

#2 - 30 May 2011 10:06 - Andriy Lesyuk

- Status changed from New to Open

#3 - 30 May 2011 11:39 - Andriy Lesyuk

Rationale : we have dozens of repositories and try to maintain them in clients subdirectories ; could you relax the regexp which validates the path

to allow subdirectories ? Or even don’t require to submit the full <path>/<repo>, only ask for <repo> (with subdirectories ) and automatically add

<path> ?

 

Can do only the first - “relax the regexp”! The content of the URL field should remain usable for “Create new repository” and for “Create” buttons...

What subdirectories are you usually using? I think about adding special mode...

#4 - 30 May 2011 12:00 - Jean-Sébastien Bour

Andriy Lesyuk wrote:

Can do only the first - “relax the regexp”! The content of the URL field should remain usable for “Create new repository” and for “Create”

buttons...
That’s what I thought afterwards; and overriding the main “create” button might be too much (or impossible?). I think relaxing the regexp to allow

subdirectories, along with the already-implemented autofilling of the input with a sensible default value will be OK for us 

What subdirectories are you usually using? I think about adding special mode...

 

There’s no real rule; we try to maintain a hierarchy like <base_path>/<client>/<project> (and so we don’t know the path until we “win” a project ). But,

since project identifiers are unique within Redmine, maybe we could give this unwritten rule up, and stick to plain repositories with auto_create? I

guess I’ll ask the others!

#5 - 30 May 2011 15:47 - Andriy Lesyuk

- Subject changed from Allow repositories organized in subdirectori to Allow subdirectories

- Status changed from Open to Incomplete

The problem with subdirectories is that end-users will be able to create directories which they want... This can create a chaos. So a rule perhaps is

needed! So seems like resolving this issue depends on you...  Will implement special mode if you suggest a rule...

What I can think about is using first letter (or two), for example:

/var/lib/svn/

            /o/

              /orangutan

            /s/

              /scm-creator

              /sidebar-plugin

 

Not sure about client... I guess it is taken from Customer plugin... Anyway it’s a bad idea to allow any subdirectories perhaps.  As a workaround I can

add new option allow_subdirs to scm.yml...

#6 - 30 May 2011 16:03 - Jean-Sébastien Bour

It seems to be okay with people here if we give up subdirectories. However I don’t see the problem with allowing them :

if you use auto_create feature and want to take advantage of Redmine base authentication, and other « sweetness » of Redmine or this plugin,

you’ll have a top-level repository (but you don’t really care about the filesystem structure anyway if you want the tool to take care of every hassle)

if you don’t use automagic features like auto_create, rights management, etc, but need (for some reason) a custom repository location (and

would still like to be able to click “create repo” button to have a repo with correct file rights etc), why restrict it ?

Anyway as I said we seem to be okay with one-level repos hierarchy so unless someone else really needs this issue handled, to me, it’s a really
low-priority one 

#7 - 30 May 2011 16:21 - Andriy Lesyuk

- Status changed from Incomplete to Open

- Priority changed from Normal to Insignificant

if you don’t use automagic features like auto_create, rights management, etc, but need (for some reason) a custom repository location (and

would still like to be able to click “create repo” button to have a repo with correct file rights etc), why restrict it ?

Well... An issue which comes to my mind right now:

Company “TheCoolOne” creates repo for it’s project: .../svn/thecoolone/project.

Another user creates repo: .../svn/thecoolone/thecoolproject (and it looks like it belongs to the same company).

So I believe the feature should be configurable... Perhaps will wait until some one tells he/she needs it.

#8 - 31 May 2011 09:38 - Andriy Lesyuk

- Status changed from Open to Incomplete

Powered by TCPDF (www.tcpdf.org)

09 Jul 2025 3/3

http://www.tcpdf.org

